# Add new MIKs

Use this endpoint to submit a request to add new Melissa Identity Key (MIK) in batch.

Endpoint: POST /addMIK

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `CustomerID` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `TransmissionReference` (string)
    Value passed through unchanged to the response for identification or any other purpose.

  - `Add` (array)
    A list of key/value pairs containing new values to be added.

  - `Add.Key` (string, required)
    The name of the field for data set by the associated value.

Key Field Values:
- AddressLine1  - A minimum address location for the contact.
- AddressLine2  - The second address line.
- City          - The city name.
- Country       - ISO2 code for the country.
- Latitude      - The latitude.
- Longitude     - The longitude.
- State         - The state name.
- Suite         - The suite number.
- Urbanization  - Only used for addresses in Puerto Rico. This is used to break ties between similar addresses in the same Postal Code.

  - `Add.Value` (string, required)
    The data for a field set by the associated key.

  - `Reason` (string)
    Any additional information you want to add about the change request.

  - `RespondToEmail` (string)
    The email address to receive updates about the change request.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionResults` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Contribution Result Codes](https://docs.melissa.com/cloud-api/contribution/result-codes.html).

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Contribution Result Codes](https://docs.melissa.com/cloud-api/contribution/result-codes.html).

  - `Message` (string)
    The response message for the request.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


